Skip to content

List a scrub run's per-contact rows

GET
/v1/scrub-runs/{run_id}/results
curl --request GET \
--url 'https://api.vocapable.com/v1/scrub-runs/example/results?limit=50' \
--header 'Authorization: Bearer <token>'
run_id
required
Run Id
string
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string
verdict
Any of:
string

Filter on verdict. Comma-separated values are OR.

verdict.gte
Any of:
string

Filter on verdict with the gte operator.

verdict.lte
Any of:
string

Filter on verdict with the lte operator.

verdict.gt
Any of:
string

Filter on verdict with the gt operator.

verdict.lt
Any of:
string

Filter on verdict with the lt operator.

verdict.in
Any of:
string

Filter on verdict with the in operator.

Successful Response

Media typeapplication/json
CursorPage[ScrubResultSummary]
object
data
required
Data
Array<object>
ScrubResultSummary

One contact’s row in the report.

object
id
required
Id
string
contact_id
required
Contact Id
string
verdict
required
Verdict
string
Allowed values: dialable blocked
blocked_reasons
Blocked Reasons
Array<string>
risk_flags
Risk Flags
Array<string>
line_type
Any of:
LineType
string
Allowed values: landline mobile fixed_voip nonfixed_voip unknown
consent_record_id
Any of:
string
expires_at
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"verdict": "dialable",
"line_type": "landline"
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}